<?php
/*  
 * Security Antivirus Firewall (wpTools S.A.F.)
 * http://wptools.co/wordpress-security-antivirus-firewall
 * Version:           	2.3.5
 * Build:             	77229
 * Author:            	WpTools
 * Author URI:        	http://wptools.co
 * License:           	License: GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * Date:              	Sat, 01 Dec 2018 19:09:28 GMT
 */

if ( ! defined( 'WPINC' ) )  die;
if ( ! defined( 'ABSPATH' ) ) exit;

class wptsafAdminPageMalwareScanner extends wptsafAbstractAdminPage{
	
	const MENU_SLUG = 'wptsaf_security_malware_scanner';

	protected function getMenuSlug(){
		return self::MENU_SLUG;
	}

	public function adminMenu(){
		add_submenu_page(
			wptsafAdminPageExtensions::MENU_SLUG,
			__('Antivirus', 'security-antivirus-firewall'),
			__('Antivirus', 'security-antivirus-firewall'),
			WPTSAF_ACCESS_LEVEL,
			self::MENU_SLUG,
			array($this, 'content')
		);
	}

	public function content(){
		$this->beforeContent();

		?>
		<div class="row">
			<?php
				$wptsafSecurity = wptsafSecurity::getInstance();
				$extensions = array(
					'file-change',
					'malware-scanner'
				);
				$count = 0;

				foreach ($extensions as $extensionName) {
					$extension = $wptsafSecurity->getExtension($extensionName);
					$widget = $extension ? $extension->createWidget() : null;

					if (!$widget) {
						continue;
					}

					?>
						<div class="col-md-6 col-sm-6 col-xs-12">
							<div class="x_panel extension-widget <?php echo $extension->getName(); ?>">
								<?php echo $widget->content(); ?>
							</div>
						</div>
					<?php

					$count++;
					if (0 == $count % 2) {
						echo '<div class="clear" />';
					}
				}
			?>
		</div>
		<?php

		$this->afterContent();
	}
}
